path: /build/build/eselect-java-app-eselect-0.4.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-eselect/eselect-java -pv -t && \
    emerge -j ${JOBS} --nodeps app-eselect/eselect-java
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/eselect-java && luet-portage --dir /pkgdir/eselect-java
    app-eselect/eselect-java && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a4cb95568712443c951fdee425f683b838de5df5c88a43747129a7e73bf3559b
  package:
    name: eselect-java
    version: 0.4.0
    category: app-eselect
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A set of eselect modules for Java
    uri:
    - https://wiki.gentoo.org/wiki/Project:Java
    license: GPL-2
    buildtimestamp: 2023-09-25 05:59:42.280892512 +0000 UTC m=+163.020229665
    labels:
      DEPEND: '>=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4'
      RDEPEND: '!app-eselect/eselect-ecj !app-eselect/eselect-maven !<dev-java/java-config-2.2
        app-admin/eselect'
      emerge.packages: app-eselect/eselect-java
      kit: core-kit
      original.package.name: app-eselect/eselect-java
      original.package.slot: "0"
      original.package.version: 0.4.0
    treedir: /build/packages
  package_dir: /pkgdir/eselect-java
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b8072eeabaf4dc1b690013b50eaa4dfaf9863edeffb29978fa46e0d6241ae491
compressiontype: zstd
files:
- usr/bin/ControlPanel
- usr/bin/HtmlConverter
- usr/bin/appletviewer
- usr/bin/apt
- usr/bin/extcheck
- usr/bin/idlj
- usr/bin/jar
- usr/bin/jarsigner
- usr/bin/java
- usr/bin/javac
- usr/bin/javadoc
- usr/bin/javah
- usr/bin/javap
- usr/bin/javaws
- usr/bin/jconsole
- usr/bin/jcontrol
- usr/bin/jdb
- usr/bin/jhat
- usr/bin/jinfo
- usr/bin/jmap
- usr/bin/jps
- usr/bin/jrunscript
- usr/bin/jsadebugd
- usr/bin/jstack
- usr/bin/jstat
- usr/bin/jstatd
- usr/bin/jvisualvm
- usr/bin/keytool
- usr/bin/native2ascii
- usr/bin/orbd
- usr/bin/pack200
- usr/bin/policytool
- usr/bin/rmic
- usr/bin/rmid
- usr/bin/rmiregistry
- usr/bin/schemagen
- usr/bin/serialver
- usr/bin/servertool
- usr/bin/tnameserv
- usr/bin/wsgen
- usr/bin/wsimport
- usr/bin/xjc
- usr/libexec/eselect-java/run-java-tool.bash
- usr/share/doc/eselect-java-0.4.0/AUTHORS
- usr/share/doc/eselect-java-0.4.0/ChangeLog
- usr/share/doc/eselect-java-0.4.0/NEWS.bz2
- usr/share/doc/eselect-java-0.4.0/README.bz2
- usr/share/eselect/modules/ecj.eselect
- usr/share/eselect/modules/java-vm.eselect
- usr/share/eselect/modules/maven.eselect
- var/db/pkg/app-eselect/eselect-java-0.4.0/BUILD_TIME
- var/db/pkg/app-eselect/eselect-java-0.4.0/CATEGORY
- var/db/pkg/app-eselect/eselect-java-0.4.0/CBUILD
- var/db/pkg/app-eselect/eselect-java-0.4.0/CFLAGS
- var/db/pkg/app-eselect/eselect-java-0.4.0/CHOST
- var/db/pkg/app-eselect/eselect-java-0.4.0/CONTENTS
- var/db/pkg/app-eselect/eselect-java-0.4.0/COUNTER
- var/db/pkg/app-eselect/eselect-java-0.4.0/CXXFLAGS
- var/db/pkg/app-eselect/eselect-java-0.4.0/DEFINED_PHASES
- var/db/pkg/app-eselect/eselect-java-0.4.0/DEPEND
- var/db/pkg/app-eselect/eselect-java-0.4.0/DESCRIPTION
- var/db/pkg/app-eselect/eselect-java-0.4.0/EAPI
- var/db/pkg/app-eselect/eselect-java-0.4.0/FEATURES
- var/db/pkg/app-eselect/eselect-java-0.4.0/HOMEPAGE
- var/db/pkg/app-eselect/eselect-java-0.4.0/INHERITED
- var/db/pkg/app-eselect/eselect-java-0.4.0/IUSE
- var/db/pkg/app-eselect/eselect-java-0.4.0/IUSE_EFFECTIVE
- var/db/pkg/app-eselect/eselect-java-0.4.0/KEYWORDS
- var/db/pkg/app-eselect/eselect-java-0.4.0/LDFLAGS
- var/db/pkg/app-eselect/eselect-java-0.4.0/LICENSE
- var/db/pkg/app-eselect/eselect-java-0.4.0/PF
- var/db/pkg/app-eselect/eselect-java-0.4.0/RDEPEND
- var/db/pkg/app-eselect/eselect-java-0.4.0/SIZE
- var/db/pkg/app-eselect/eselect-java-0.4.0/SLOT
- var/db/pkg/app-eselect/eselect-java-0.4.0/USE
- var/db/pkg/app-eselect/eselect-java-0.4.0/environment.bz2
- var/db/pkg/app-eselect/eselect-java-0.4.0/eselect-java-0.4.0.ebuild
- var/db/pkg/app-eselect/eselect-java-0.4.0/repository
package_cacheimage: ""
runtime:
  name: eselect-java
  version: 0.4.0
  category: app-eselect
  requires:
  - name: eselect
    version: '>=0'
    category: app-admin
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A set of eselect modules for Java
  uri:
  - https://wiki.gentoo.org/wiki/Project:Java
  license: GPL-2
  labels:
    DEPEND: '>=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 ||
      ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4'
    RDEPEND: '!app-eselect/eselect-ecj !app-eselect/eselect-maven !<dev-java/java-config-2.2
      app-admin/eselect'
    emerge.packages: app-eselect/eselect-java
    kit: core-kit
    original.package.name: app-eselect/eselect-java
    original.package.slot: "0"
    original.package.version: 0.4.0
